#include "stdafx.h"

#include "CIMesh.h"

void CIMesh::Clear()
{
	face.clear();
	vert.clear();
}

void CIMesh::ComputeFaceNormal()
{
	vector< CIFace >::iterator fi;
	for(fi=face.begin();fi!=face.end();++fi)
		(*fi).n= Normal((*fi).v[0]->p,(*fi).v[1]->p,(*fi).v[2]->p);
}

// Da chiamare solo DOPO la ComputeFaceNormal
void CIMesh::ComputeVertNormal()
{
	vector< CIFace >::iterator fi;
	for(fi=face.begin();fi!=face.end();++fi)
		for(int i=0;i<3;++i)
			(*fi).v[i]->n += (*fi).n;
}


void CIMesh::DrawPoints()
{
 glBegin(GL_POINTS);
	vector<CIVertex>::const_iterator vi;
	for(vi=vert.begin();vi!=vert.end();++vi)
	{
		glNormal((*vi).n);
		glVertex((*vi).p);
		glNormal((*vi).n);
		glVertex((*vi).p);
		glNormal((*vi).n);
		glVertex((*vi).p);
	}
	glEnd();


}